i2p.susi.dns

## Class TranslateSVGServlet

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - i2p.susi.dns.TranslateSVGServlet

- All Implemented Interfaces:
    Serializable, Servlet, ServletConfig

      public class TranslateSVGServlet
      extends HttpServlet

  Translate a svg file on-the-fly. svg file must contain strings tagged with _("...") See TranslateReader for details. We don't bother parsing the XML and replacing entities, since we had TranslateReader already. If we want to use svg files unmodified, we'll have to parse the XML and replace the title and tspan elements. Servlet path contains .svg files in the /svg/ directory.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TranslateSVGServlet()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `doGet(HttpServletRequest req, HttpServletResponse resp)`

    - ### Methods inherited from class javax.servlet.http.HttpServlet

      `doDelete, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service, service`

    - ### Methods inherited from class javax.servlet.GenericServlet

      `destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TranslateSVGServlet

          public TranslateSVGServlet()

  - ### Method Detail

    - #### doGet

          protected void doGet(HttpServletRequest req,
                               HttpServletResponse resp)
                        throws ServletException,
                               IOException

      Overrides:
        `doGet` in class `HttpServlet`
      Throws:
        `ServletException`
        `IOException`